org.apache.pdfbox.printing

## Enum Scaling

- java.lang.Object
- - java.lang.Enum<Scaling>
  - - org.apache.pdfbox.printing.Scaling

All Implemented Interfaces:
  Serializable, Comparable<Scaling>

    public enum Scaling
    extends Enum<Scaling>

Scale of the image on printed pages.

Author:
  John Hewson

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACTUAL_SIZE` Print the image at 100% scale.
`SCALE_TO_FIT` Stretch or shrink the image to fill the page, as needed.
`SHRINK_TO_FIT` Shrink the image to fit the page, if needed.
`STRETCH_TO_FIT` Stretch the image to fill the page, if needed.

### Method Summary

All Methods Static Methods Concrete Methods
`static Scaling` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Scaling[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACTUAL_SIZE

    public static final Scaling ACTUAL_SIZE

Print the image at 100% scale.

#### SHRINK_TO_FIT

    public static final Scaling SHRINK_TO_FIT

Shrink the image to fit the page, if needed.

#### STRETCH_TO_FIT

    public static final Scaling STRETCH_TO_FIT

Stretch the image to fill the page, if needed.

#### SCALE_TO_FIT

    public static final Scaling SCALE_TO_FIT

Stretch or shrink the image to fill the page, as needed.

### Method Detail

#### values

    public static Scaling[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Scaling c : Scaling.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Scaling valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null